Skip to main content
`Ctrl`+`K`

# MatMumpsSetIcntl

Set MUMPS parameter ICNTL() https://mumps-solver.org/index.php?page=doc

## Synopsis

    PetscErrorCode MatMumpsSetIcntl(Mat F, PetscInt icntl, PetscInt ival)

Logically Collective

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()` with a `MatSolverType` of `MATSOLVERMUMPS` and a `MatFactorType` of `MAT_FACTOR_LU` or `MAT_FACTOR_CHOLESKY`

- icntl - index of MUMPS parameter array `ICNTL()`

- ival - value of MUMPS `ICNTL(icntl)`

## Options Database Key

- -mat_mumps_icntl_ICNTL ival - change the option numbered `icntl` to `ival`, here ICNTL denotes an integer value

## Note

Ignored if MUMPS is not installed or `F` is not a MUMPS matrix

## See Also

Matrices, `Mat`, `MatGetFactor()`, `MatMumpsGetIcntl()`, `MatMumpsSetCntl()`, `MatMumpsGetCntl()`, `MatMumpsGetInfo()`, `MatMumpsGetInfog()`, `MatMumpsGetRinfo()`, `MatMumpsGetRinfog()`

## Level

beginner

## Location

src/mat/impls/aij/mpi/mumps/mumps.c

## Examples

src/ksp/ksp/tutorials/ex52f.F90
src/ksp/ksp/tutorials/ex52.c
src/ksp/ksp/tutorials/ex57f.F90

## Implementations

MatMumpsSetIcntl_MUMPS() in src/mat/impls/aij/mpi/mumps/impl/imumps.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages